## Load the data and look at them: 25 cases with 9 nimeric variables in four groups
library(rrcov)
data(wolves)
dim(wolves)
head(wolves)
table(wolves$class)

## Remove the categorical variables. Shall we use Cov or Corr?
X <- wolves[,4:12]
summary(X)
apply(X, 2, sd)

## How correlated are the variables?
plot(CovMcd(X), which="pairs")

## Classical PCA
pc <- PcaClassic(X)
pc
summary(pc)
screeplot(pc, type="l")

names(pc)
getEigenvalues(pc)
getLoadings(pc)

matplot(getLoadings(pc), ylab="Loadings")

## The biplot
biplot(pc, scale=0)

## Outlier plots
plot(pc, id.n.sd=0)
pc <- PcaClassic(X, k=3)
plot(pc, id.n.sd=0)
